#include "histogram.h"
#include "text.h"
#include "svg.h"
#include <iostream>
#include <vector>

struct Input {
    std::vector<double> vec;
    size_t korz{};
};

Input input_data(std::istream &in) {
    Input data;
    size_t n, korz;

    cerr << "Number of elements: ";
    in >> n;
    data.vec.resize(n);
    cerr << "Elements: ";
    for (size_t i = 0; i < n; i++)
        in >> data.vec[i];
    cerr << "Enter bin count: ";
    in >> korz;
    data.korz = korz;
    return data;
}
int main() {
    using namespace std;
    auto in = input_data(cin);
    auto bins = make_histogram(in.korz, in.vec);
    show_histogram_svg(bins);
}
